Bug 52881 - mod_auth_digest should use apr_array_*
mod_auth_digest should use apr_array_*
Status: RESOLVED FIXED
Product: Apache httpd-2
Classification: Unclassified
Component: mod_auth_digest
2.5-HEAD
All All
: P2 minor (vote)
: ---
Assigned To: Apache HTTPD Bugs Mailing List
: PatchAvailable
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2012-03-12 01:21 UTC by Stefan Fritsch
Modified: 2013-03-31 20:11 UTC (History)
0 users



Attachments
Proposed patch (4.46 KB, patch)
2012-11-20 20:50 UTC, Christophe JAILLET
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Fritsch 2012-03-12 01:21:12 UTC
mod_auth_digest seems to re-implement apr's array functionality for conf->qop_list. It should apr_array_* instead.
Comment 1 Christophe JAILLET 2012-11-20 20:50:25 UTC
Not tested.
Only compiled against trunk.
Comment 2 Christophe JAILLET 2012-11-20 20:50:56 UTC
Created attachment 29613 [details]
Proposed patch
Comment 3 Stefan Fritsch 2013-03-31 20:11:51 UTC
r1463044